org.wso2.carbon.dataservices.sql.driver

## Class TGSpreadConnection

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.TConnection
  - - org.wso2.carbon.dataservices.sql.driver.TGSpreadConnection

- All Implemented Interfaces:
    AutoCloseable, Connection, Wrapper

      public class TGSpreadConnection
      extends TConnection

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TGSpreadConnection(Properties props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Statement` | `createStatement()`
    `GSpreadFeedProcessor` | `getFeedProcessor()`
    `com.google.gdata.data.spreadsheet.SpreadsheetFeed` | `getSpreadSheetFeed()`
    `String` | `getSpreadSheetName()`
    `com.google.gdata.data.spreadsheet.WorksheetFeed` | `getWorksheetFeed()`
    `CallableStatement` | `prepareCall(String sql)`
    `CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency)`
    `CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
    `PreparedStatement` | `prepareStatement(String sql)`
    `PreparedStatement` | `prepareStatement(String sql, int autoGeneratedKeys)`
    `PreparedStatement` | `prepareStatement(String sql, int[] columnIndexes)`
    `PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
    `PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
    `PreparedStatement` | `prepareStatement(String sql, String[] columnNames)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.TConnection

      `abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMaxColumns, getMetaData, getNetworkTimeout, getPassword, getPath, getSchema, getTransactionIsolation, getType, getTypeMap, getUsername, getWarnings, hasHeader, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TGSpreadConnection

          public TGSpreadConnection(Properties props)
                             throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### getSpreadSheetName

          public String getSpreadSheetName()

    - #### getFeedProcessor

          public GSpreadFeedProcessor getFeedProcessor()

    - #### getWorksheetFeed

          public com.google.gdata.data.spreadsheet.WorksheetFeed getWorksheetFeed()

    - #### getSpreadSheetFeed

          public com.google.gdata.data.spreadsheet.SpreadsheetFeed getSpreadSheetFeed()

    - #### createStatement

          public Statement createStatement()
                                    throws SQLException

      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### prepareCall

          public CallableStatement prepareCall(String sql)
                                        throws SQLException

      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int resultSetType,
                                                    int resultSetConcurrency)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### prepareCall

          public CallableStatement prepareCall(String sql,
                                               int resultSetType,
                                               int resultSetConcurrency)
                                        throws SQLException

      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int resultSetType,
                                                    int resultSetConcurrency,
                                                    int resultSetHoldability)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### prepareCall

          public CallableStatement prepareCall(String sql,
                                               int resultSetType,
                                               int resultSetConcurrency,
                                               int resultSetHoldability)
                                        throws SQLException

      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int autoGeneratedKeys)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int[] columnIndexes)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    String[] columnNames)
                                             throws SQLException

      Throws:
        `SQLException`

Copyright © 2022 WSO2. All rights reserved.